%define upstream_name    Net-Bluetooth
%define upstream_version 0.41

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	Net::Bluetooth - Perl Bluetooth Interface
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/Net-Bluetooth-%{upstream_version}.tar.gz

BuildRequires:	bluez-devel
BuildRequires:	perl-devel

Requires(pre):  bluez

%description
Net::Bluetooth - Perl Bluetooth Interface
This module creates a Bluetooth interface for Perl.

%prep
%setup -q -n Net-Bluetooth-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendorarch}/*
%{perl_vendorarch}/auto/Net/*
%dir %{perl_vendorarch}/auto/Net/Bluetooth
%{perl_vendorarch}/auto/Net/Bluetooth/*
%{_mandir}/man3/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.410.0-6pclos2017
- rebuild against updates

